from parallels.core.actions.content.mail.copy_content import CopyMailContent
from parallels.core.content.mail.psamailbackup import CopyMailPsaMailBackup


class CopyMailContentFromHelm3ToPlesk(CopyMailContent):
	def _copy_mail_content_single_subscription(self, global_context, subscription, issues):
		"""
		:type global_context: parallels.core.global_context.GlobalMigrationContext
		:type subscription: parallels.core.migrated_subscription.MigratedSubscription
		:type issues: list
		"""
		copy_mail = CopyMailPsaMailBackup(
			global_context.migrator._get_mail_provider_by_subscription_name,
			global_context.migrator._get_rsync
		)
		copy_mail.copy_mail(None, None, subscription, None)
